Bug 60331 - wrong number of IRQs shown in /proc/stat
Summary: wrong number of IRQs shown in /proc/stat
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: alpha Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-25 20:55 UTC by George France
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-25 20:56:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description George France 2002-02-25 20:55:56 UTC
Description of Problem:

wrong number of IRQs shown in /proc/stat on ES40

Version-Release number of selected component (if applicable):

Kernel 2.4.9-24

How Reproducible:

Always.

Steps to Reproduce:
1.  cat /proc/stat | grep intr
  
Actual Results:

2048 IRQs are displayed.

Expected Results:

The actual number of IRQs on the system should be displayed.

Additional Information:
	
I suspect that NR_IRQS was used instead of ACTUAL_NR_IRQS, probably in
proc_misc.c, but I have not looked.

--George

Comment 1 Phil Copeland 2002-03-12 19:39:57 UTC
Fixed...



Note You need to log in before you can comment on or make changes to this bug.